summaryrefslogtreecommitdiffstats
path: root/bin/git/git-record
diff options
context:
space:
mode:
Diffstat (limited to 'bin/git/git-record')
-rwxr-xr-xbin/git/git-record13
1 files changed, 13 insertions, 0 deletions
diff --git a/bin/git/git-record b/bin/git/git-record
new file mode 100755
index 0000000..eaa36c9
--- /dev/null
+++ b/bin/git/git-record
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -eu
+
+if [ -e "$(git root)/.git/branchless" ]; then
+ exec git branchless record "$@"
+else
+ if [ "${1:-}" = "-i" ]; then
+ git add -p
+ else
+ git add -u
+ fi
+ git commit
+fi